#!/bin/bash

echo Removing AudioLink, password might be required…

# Unload kext if needed
KEXTVALUE=`kextstat | grep MixlrAudio`
if [ -n "$KEXTVALUE" ]
then
  sudo kextunload /Library/Extensions/MixlrAudioLink.kext
fi

# Unload plist if needed
PLISTVALUE=`launchctl list | grep MixlrAudio`
if [ -n "$PLISTVALUE" ]
then
  sudo launchctl unload -w /Library/LaunchDaemons/com.mixlr.MixlrAudioLink.plist
fi

# Forcefully remove any AudioLink related file
sudo rm -rf /Library/Extensions/MixlrAudioLink.kext
sudo rm -f /Library/LaunchDaemons/com.mixlr.MixlrAudioLink.plist

echo Done. You can now close the terminal.